Bug 286701 - evolution crash in slab_allocator_free_chunk
evolution crash in slab_allocator_free_chunk
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-11 15:03 EDT by Michal Babej
Modified: 2013-07-31 19:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-21 10:45:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backtrace (6.43 KB, text/plain)
2007-09-11 15:03 EDT, Michal Babej
no flags Details
another backtrace (3.89 KB, text/plain)
2007-09-11 15:16 EDT, Michal Babej
no flags Details
another backtrace (5.46 KB, text/plain)
2007-12-06 08:03 EST, Michal Babej
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 448687 None None None Never

  None (edit)
Description Michal Babej 2007-09-11 15:03:47 EDT
Description of problem:
Evolution crashed. Backtrace attached.

Version-Release number of selected component (if applicable):

How reproducible: unknown
Comment 1 Michal Babej 2007-09-11 15:03:47 EDT
Created attachment 192891 [details]
Comment 2 Michal Babej 2007-09-11 15:16:12 EDT
Created attachment 192901 [details]
another backtrace
Comment 3 Matthew Barnes 2007-10-08 22:00:58 EDT
Changing component to gtkhtml3 since that's where it looks like the crashes are
originating from.
Comment 4 Milan Crha 2007-11-22 05:42:11 EST
Added upstream bug reference [1] to this.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=448687
Comment 5 Milan Crha 2007-11-22 05:44:47 EST
Are there any exact steps how to reproduce this? It seems to me that it depends
on the message you are staying on and on the message/folder you clicked. Was the
initial message completely loaded? Had it any attachments? (I cannot reproduce,
so I'm asking.)
Comment 6 Michal Babej 2007-12-05 07:18:54 EST
I cannot reproduce it either, it only occured twice :(
Comment 7 Milan Crha 2007-12-05 10:08:38 EST
Maybe some kind of race condition. Bad. As we discussed on IRC, you moved from
your imap:INBOX/Brno, message 2136, to folder imap:INBOX/QAdept, when it
happened.  Hard to say what was the actual message in QAdept. I do not want to
"just" close it, I will set this to NEEDINFO and when you face this issue again,
please try to update this, otherwise it will be closed automatically.

Matt, do you have any idea where to look or what to attach in case it will
happen to Michal again?
Comment 8 Matthew Barnes 2007-12-05 10:22:53 EST
It is (or was) obviously a reference counting error in GtkHTML, but beyond that
I have no idea what to look for until someone can reproduce this reliably.  I
don't think I've ever seen it myself.
Comment 9 Michal Babej 2007-12-06 08:03:33 EST
Created attachment 279691 [details]
another backtrace

Crashed today again. Similar backtrace to the one in comment #2, just used "t a
a bt".
Comment 10 Matěj Cepl 2008-01-21 10:45:36 EST
According to the maintainer, this could be CLOSED/UPSTREAM. Upstream bug is

Note You need to log in before you can comment on or make changes to this bug.